# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/steak/steak-1.7.3.ebuild,v 1.1 2005/12/22 12:15:41 egore Exp $

inherit eutils

DESCRIPTION="EN => DE Dictionary"
HOMEPAGE="http://www.tm.informatik.uni-frankfurt.de/~razi/steak"
#SRC_URI="http://www.tm.informatik.uni-frankfurt.de/~razi/steak/program/Steak.${PV}.tar.gz"
SRC_URI="ftp://84.41.185.108/suse/9.1/suse/src/${P}-251.src.rpm"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc ~amd64"
IUSE=""

DEPEND="app-text/ispell
		app-arch/rpm2targz"
RDEPEND=""

S=${WORKDIR}/Steak

src_unpack() {
	cd ${WORKDIR}
	rpm2targz ${DISTDIR}/${A}
	tar -xzf ${P}-251.src.tar.gz
	tar -xjpf Steak.${PV}.tar.bz2
	cd ${S}
	epatch ${FILESDIR}/${P}.patch
}

src_install() {
	insinto /usr/share/Steak/Datensatz
	doins Datensatz/ger-eng.txt \
	|| die "failed installing dataset"

	insinto /usr/share/Steak
	doins mini_steak_icon.xpm pinguin_steak_icon.xpm .Steakconfig \
	|| die "failed installing icons or config"

	dobin woerterbuch printbuffer iso2txt spacefilter poll \
	|| die "failed installing binaries"
	dosym /usr/bin/woerterbuch /usr/bin/steak \
	|| die "failed creating symlink"

	dodoc copyrights.txt help.txt version.txt README README.eng
}
